[arch-commits] Commit in python-nose-progressive/repos (3 files)

Felix Yan felixonmars at archlinux.org
Mon Nov 4 02:14:32 UTC 2019


    Date: Monday, November 4, 2019 @ 02:14:32
  Author: felixonmars
Revision: 522995

archrelease: copy trunk to community-staging-any

Added:
  python-nose-progressive/repos/community-staging-any/
  python-nose-progressive/repos/community-staging-any/LICENSE
    (from rev 522994, python-nose-progressive/trunk/LICENSE)
  python-nose-progressive/repos/community-staging-any/PKGBUILD
    (from rev 522994, python-nose-progressive/trunk/PKGBUILD)

----------+
 LICENSE  |   20 ++++++++++++++++++++
 PKGBUILD |   37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

Copied: python-nose-progressive/repos/community-staging-any/LICENSE (from rev 522994, python-nose-progressive/trunk/LICENSE)
===================================================================
--- community-staging-any/LICENSE	                        (rev 0)
+++ community-staging-any/LICENSE	2019-11-04 02:14:32 UTC (rev 522995)
@@ -0,0 +1,20 @@
+The MIT License (MIT)
+
+Copyright (c) 2011 Erik Rose
+
+Permission is hereby granted, free of charge, to any person obtaining a copy of
+this software and associated documentation files (the "Software"), to deal in
+the Software without restriction, including without limitation the rights to
+use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
+the Software, and to permit persons to whom the Software is furnished to do so,
+subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in all
+copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
+FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
+COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
+IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Copied: python-nose-progressive/repos/community-staging-any/PKGBUILD (from rev 522994, python-nose-progressive/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2019-11-04 02:14:32 UTC (rev 522995)
@@ -0,0 +1,37 @@
+# Maintainer: David Runge <dave at sleepmap.de>
+_name=nose-progressive
+pkgname=python-nose-progressive
+pkgver=1.5.2
+pkgrel=2
+pkgdesc="Give your tests a progress bar and smarter tracebacks in 3 lines"
+arch=('any')
+url="https://github.com/erikrose/nose-progressive"
+license=('MIT')
+depends=('python-blessings' 'python-nose' 'python-setuptools')
+source=("https://files.pythonhosted.org/packages/source/${_name::1}/${_name}/${_name}-${pkgver}.tar.gz")
+sha512sums=('59abe0e5f060149046aa4e9b8ca622af1eb65db3b69631b5c6230c31ee9641f9f7b9bba7ed50709f5243c04a9bbf36fd5901601e3d93e9b68867fc37357b649e')
+
+prepare() {
+  mv -v "${_name}-$pkgver" "$pkgname-$pkgver"
+}
+
+build() {
+  cd "$pkgname-$pkgver"
+  python setup.py build
+}
+
+check() {
+  cd "$pkgname-$pkgver"
+  export PYTHONPATH=build/lib:${PYTHONPATH}
+  nosetests noseprogressive || warning "Known failing test: https://github.com/erikrose/nose-progressive/issues/90"
+}
+
+package() {
+  cd "$pkgname-$pkgver"
+  python setup.py install --skip-build \
+    --optimize=1 \
+    --prefix=/usr \
+    --root="${pkgdir}"
+  install -vDm 644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -vDm 644 README.rst -t "${pkgdir}/usr/share/doc/${pkgname}"
+}



More information about the arch-commits mailing list